# This is a copy of the upstream conda recipe for this package
# hosted at github.com/conda-forge/lal-feedstock and licensed
# under the terms of the BSD 3-Clause license.
# This is only for CI purposes, and should not be considered
# production-ready at any time.

{% set name = "lalinspiral" %}
{% set version = "@VERSION@".replace('-', '.') %}

{% set lal_version = "@MIN_LAL_VERSION@a0" %}
{% set lalframe_version = "@MIN_LALFRAME_VERSION@a0" %}
{% set lalmetaio_version = "@MIN_LALMETAIO_VERSION@a0" %}
{% set lalsimulation_version = "@MIN_LALSIMULATION_VERSION@a0" %}
{% set lalburst_version = "@MIN_LALBURST_VERSION@a0" %}
{% set swig_version = "@MIN_SWIG_VERSION@" %}
{% set numpy_version = "@MIN_NUMPY_VERSION@" %}

package:
  name: {{ name }}-split
  version: {{ version }}

source:
  url: file://@TARBALL@
  sha256: @SHA256@

build:
  error_overdepending: true
  error_overlinking: true
  number: 9999
  script_env:
    - CI_PIPELINE_SOURCE
  skip: true  # [win]

requirements:
  build:
    - {{ compiler('c') }}
    - help2man >=1.37
    - make
    - pkg-config
    - swig >={{ swig_version }}
  host:
    - gsl
    - liblal >={{ lal_version }}
    - liblalframe >={{ lalframe_version }}
    - liblalmetaio >={{ lalmetaio_version }}
    - liblalsimulation >={{ lalsimulation_version }}
    - metaio

outputs:
  - name: liblalinspiral
    script: install-lib.sh
    build:
      error_overdepending: true
      error_overlinking: true
      run_exports:
        - {{ pin_subpackage("liblalinspiral", max_pin="x") }}
    requirements:
      build:
        - {{ compiler('c') }}
        - make
        - swig >={{ swig_version }}
      host:
        - gsl
        - liblal >={{ lal_version }}
        - liblalframe >={{ lalframe_version }}
        - liblalmetaio >={{ lalmetaio_version }}
        - liblalsimulation >={{ lalsimulation_version }}
        - metaio
      run:
        - gsl
        - liblal >={{ lal_version }}
        - liblalframe >={{ lalframe_version }}
        - liblalmetaio >={{ lalmetaio_version }}
        - liblalsimulation >={{ lalsimulation_version }}
        - metaio
    test:
      requires:
        - pkg-config
      commands:
        - test $(pkg-config --modversion --print-errors lalinspiral) == "@VERSION@"
    about:
      home: https://wiki.ligo.org/Computing/LALSuite
      doc_url: https://docs.ligo.org/lscsoft/lalsuite/lalinspiral/
      dev_url: https://git.ligo.org/lscsoft/lalsuite/
      license: GPL-2.0-or-later
      license_family: GPL
      license_file: COPYING
      summary: LSC Algorithm Inspiral Library
      description: |
        The LSC Algorithm Inspiral Library for gravitational wave data analysis.
        This package contains the shared object libraries needed to run
        applications that use the LAL Inspiral library.

  - name: python-lalinspiral
    script: install-python.sh
    build:
      error_overdepending: true
      error_overlinking: true
      ignore_run_exports:
        - python
    requirements:
      build:
        - {{ compiler('c') }}
        - make
        - pkg-config
        - swig >={{ swig_version }}
      host:
        - {{ pin_subpackage('liblalinspiral', exact=True) }}
        - numpy
        - python
        - liblalburst >={{ lalburst_version }}
      run:
        - gsl
        - liblal >={{ lal_version }}
        - liblalframe >={{ lalframe_version }}
        - {{ pin_subpackage('liblalinspiral', exact=True) }}
        - liblalmetaio >={{ lalmetaio_version }}
        - liblalsimulation >={{ lalsimulation_version }}
        - lscsoft-glue
        - metaio
        - {{ pin_compatible('numpy') }}
        - python
        - python-lal >={{ lal_version }}
        - python-lalburst >={{ lalburst_version }}
        - python-lalframe >={{ lalframe_version }}
        - python-lalmetaio >={{ lalmetaio_version }}
        - python-lalsimulation >={{ lalsimulation_version }}
        - python-ligo-lw
    test:
      requires:
        - pytest >=4.0.0a0
      source_files:
        - test/python
      commands:
        - python -m pytest -rs -v --junit-xml=junit.xml test/python
      imports:
        - lalinspiral
        - lalinspiral.inspinjfind
        - lalinspiral.sbank
        - lalinspiral.thinca
    about:
      home: https://wiki.ligo.org/Computing/LALSuite
      doc_url: https://docs.ligo.org/lscsoft/lalsuite/lalinspiral/
      dev_url: https://git.ligo.org/lscsoft/lalsuite/
      license: GPL-2.0-or-later
      license_family: GPL
      license_file: COPYING
      summary: LSC Algorithm Inspiral Library
      description: |
        The LSC Algorithm Inspiral Library for gravitational wave data analysis.
        This package contains the python bindings.

  - name: lalinspiral
    script: install-bin.sh
    build:
      error_overdepending: true
      error_overlinking: true
      ignore_run_exports:
        - liblalburst
        - python
    requirements:
      build:
        - {{ compiler('c') }}
        - make
      host:
        - liblal >={{ lal_version }}
        - liblalburst >={{ lalburst_version }}
        - {{ pin_subpackage('liblalinspiral', exact=True) }}
        - python
      run:
        - liblal >={{ lal_version }}
        - {{ pin_subpackage('liblalinspiral', exact=True) }}
        - python
        - {{ pin_subpackage('python-lalinspiral', exact=True) }}
    test:
      commands:
        - lalinspiral_version --verbose
      imports:
        - lalinspiral
    about:
      home: https://wiki.ligo.org/Computing/LALSuite
      doc_url: https://docs.ligo.org/lscsoft/lalsuite/lalinspiral/
      dev_url: https://git.ligo.org/lscsoft/lalsuite/
      license: GPL-2.0-or-later
      license_family: GPL
      license_file: COPYING
      summary: LSC Algorithm Inspiral Library
      description: |
        The LSC Algorithm Inspiral Library for gravitational wave data analysis.

about:
  home: https://wiki.ligo.org/Computing/LALSuite
  doc_url: https://docs.ligo.org/lscsoft/lalsuite/lalinspiral/
  dev_url: https://git.ligo.org/lscsoft/lalsuite/
  license: GPL-2.0-or-later
  license_family: GPL
  license_file: COPYING
  summary: LSC Algorithm Inspiral Library
  description: |
    The LSC Algorithm Inspiral Library for gravitational wave data analysis.

extra:
  feedstock-name: lalinspiral
  recipe-maintainers:
    - duncanmmacleod
    - skymoo
